Results 1 to 9 of 9

Thread: How To Install Armitage

  1. #1
    Junior Member
    Join Date
    Mar 2013
    Posts
    1

    How To Install Armitage

    I know some users are getting the "E: Couldn't find package...."

    Here's some steps in case anyone has issues:

    1. Open /etc/apt/sources.list in your favorite editor.
    2. Add the following lines to the list:
    deb http://http.kali.org/kali kali main non-free contrib
    deb-src http://http.kali.org/kali kali main non-free contrib
    3. Write file
    4. Open Terminal > apt-get update > apt-get install armitage > service postgresql start > service metasploit start
    5. Program should be under /usr/bin

  2. #2
    Junior Member
    Join Date
    Mar 2013
    Posts
    7
    i just did
    apt-get update
    apt-get upgrade
    apt-get dist-upgrade

    it installed armitage along with a few others like hashcat.

  3. #3
    Junior Member
    Join Date
    Mar 2013
    Posts
    1
    ummm help me
    add /etc/apt/sources.list
    deb http://http.kali.org/kali kali main non-free contrib
    deb-src http://http.kali.org/kali kali main non-free contrib
    and
    apt-get update
    apt-get install armitage
    Lettura elenco dei pacchetti... Fatto
    Generazione albero delle dipendenze
    Lettura informazioni sullo stato... Fatto
    E: Impossibile trovare il pacchetto armitage
    not install
    Kali italian version

  4. #4
    Junior Member
    Join Date
    Mar 2013
    Posts
    1
    I've installed armitage, and I'm having the issue of it not being able to connect to the database, i get the error: "Couldnt not find database settings". all ive done is the apt-get commands show above, and the service starts for postgresql and metasploit. When i run armitage, click connect (leaving it default), and tell it to start the rpcd for me, after a few connection refused, i get this error, any ideas?

  5. #5
    Junior Member
    Join Date
    Mar 2013
    Posts
    17
    Check out this post from Raphael Mudge and you'll have it up and running in about a minute flat http://blog.strategiccyber.com/2013/...on-kali-linux/

  6. #6
    Junior Member
    Join Date
    Mar 2013
    Posts
    2
    Armitage now missing...was working fine..went to use this morning and get this error
    /usr/bin/armitage: line 1: /usr/bin/java: cannot execute binary file
    any ideas? done all upgrades and updates.

    Now fixed...fault was in Java (as any program needing java would not run,that was the clue lol) now working fine since i have sorted out java problem.
    Last edited by Therion; 03-24-2013 at 09:15 PM. Reason: Fixed

  7. #7
    Junior Member
    Join Date
    Apr 2013
    Posts
    2
    Quote Originally Posted by biohazarde View Post
    I've installed armitage, and I'm having the issue of it not being able to connect to the database, i get the error: "Couldnt not find database settings". all ive done is the apt-get commands show above, and the service starts for postgresql and metasploit. When i run armitage, click connect (leaving it default), and tell it to start the rpcd for me, after a few connection refused, i get this error, any ideas?
    Are you sure the postgresql and metasploit services are starting?

    Try "service postgresql start && service metasploit start"

  8. #8
    Junior Member
    Join Date
    Apr 2013
    Posts
    14
    for me i have armitage and it working
    just
    service posgresql start
    service metasploit start > then menu outils exploit >armitage its working

  9. #9
    Junior Member
    Join Date
    Jul 2013
    Posts
    5
    What wido046 said armitage is pre-installed in kali linux,

    You only need to start posgresql and metasploit noted as above,

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •